
QGIS Application - Bug report #7545

layer screen hangs on database lock

2013-04-08 04:31 AM - Jaap Dekker

Status: Closed

Priority: Low

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16488

Description

The Qgis 1.8.0 postgis layers dialog does not respond (hangs until the transaction finishes) when a table (not the one that I want to view)

in the same database is in use. When I look at the server status window of postgis I see under locks that there is an AccessShareLock

that is not granted on the Query 

    SELECT DISTINCT CASE WHEN upper(geometrytype("the_geom")) IN  ('POINT','MULTIPOINT','POINTM','MULTIPOINTM') THEN

'POINT' WHEN upper(geometrytype("the_geom")) IN ('LINESTRING','MULTILINESTRING','LINESTRINGM','MULTILINESTRINGM')

THEN 'LINESTRING' WHEN u...

It looks like a process that tries to get the geometry types of all the tables in the database is causing this behaviour. Is it possible to disable

this and only do it on the table that I want to view ?

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
